# Gimp.Config.prototype.serialize_to_stream

    function serialize_to_stream(output: Gio.OutputStream, header: String, footer: String, data: void): Boolean {
        // Gjs wrapper for gimp_config_serialize_to_stream()
    }

Serializes the object properties of config to the stream specified by output.

Since 2.10

output

  the Gio.OutputStream to write the configuration to.

header

  optional file header (must be ASCII only)

footer

  optional file footer (must be ASCII only)

data

  user data passed to the serialize implementation.

Returns

  Whether serialization succeeded.